diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
index d2caf6866..a238adc9a 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenContainerAbstract.java
@@ -624,47 +605,38 @@ public abstract class ScreenContainerAbstract extends Screen
 //			}
 //		}
 
-		super.controllerInput(controller);
-	}
-
-	private int getSlotId(int x, int y) {
-		Slot slot = getSlotAtPosition(x, y);
-		int x2 = (width - xSize) / 2;
-		int y2 = (height - ySize) / 2;
-		boolean flag = x < x2 || y < y2 || x >= x2 + xSize || y >= y2 + ySize;
-		int slotId = -1;
-		if(slot != null) {
-			slotId = slot.index;
-		}
-		if(flag) {
-			slotId = -999;
-		}
-		return slotId;
-	}
-
-	@Override
-	public void removed()
-	{
-		if (mc.thePlayer == null)
-		{
-			return;
-		}
-		else
-		{
-			mc.playerController.handleCloseInventory(inventorySlots.containerId, mc.thePlayer);
-			return;
-		}
-	}
-
-
-	@Override
-	public void tick()
-	{
-		super.tick();
-		if (!mc.thePlayer.isAlive() || mc.thePlayer.removed)
-		{
-			mc.thePlayer.closeScreen();
-		}
-	}
+        super.controllerInput(controller);
+    }
+
+    private int getSlotId(int x, int y) {
+        Slot slot = getSlotAtPosition(x, y);
+        int x2 = (this.width - this.xSize) / 2;
+        int y2 = (this.height - this.ySize) / 2;
+        boolean flag = x < x2 || y < y2 || x >= x2 + this.xSize || y >= y2 + this.ySize;
+        int slotId = -1;
+        if (slot != null) {
+            slotId = slot.index;
+        }
+        if (flag) {
+            slotId = -999;
+        }
+        return slotId;
+    }
+
+    @Override
+    public void removed() {
+        if (this.mc.thePlayer != null) {
+            this.mc.playerController.handleCloseInventory(this.inventorySlots.containerId, this.mc.thePlayer);
+        }
+    }
+
+
+    @Override
+    public void tick() {
+        super.tick();
+        if (!this.mc.thePlayer.isAlive() || this.mc.thePlayer.removed) {
+            this.mc.thePlayer.closeScreen();
+        }
+    }
 
 }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
index eb8c025c0..cb80e9f4e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenCrafting.java
@@ -1,47 +1,42 @@
 package net.minecraft.client.gui.container;
 
 import net.minecraft.client.input.controller.ControllerInput;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.player.inventory.menu.MenuCrafting;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.pos.TilePosc;
 import org.jetbrains.annotations.NotNull;
-import org.lwjgl.opengl.GL11;
 
-public class ScreenCrafting extends ScreenContainerAbstract
-{
-    public ScreenCrafting(@NotNull ContainerInventory inventory, @NotNull World world, @NotNull TilePosc tilePos)
-    {
+public class ScreenCrafting extends ScreenContainerAbstract {
+    public ScreenCrafting(@NotNull ContainerInventory inventory, @NotNull World world, @NotNull TilePosc tilePos) {
         super(new MenuCrafting(inventory, world, tilePos));
     }
 
     @Override
-	public void removed()
-    {
+    public void removed() {
         super.removed();
-        inventorySlots.onCraftGuiClosed(mc.thePlayer);
+        this.inventorySlots.onCraftGuiClosed(this.mc.thePlayer);
     }
 
     @Override
-	protected void drawGuiContainerForegroundLayer()
-    {
+    protected void drawGuiContainerForegroundLayer() {
         drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.crafting.label.crafting"), 28, 6, 0x404040);
-        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.crafting.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
+        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.crafting.label.inventory"), 8, (this.ySize - 96) + 2, 0x404040);
     }
 
     @Override
-	protected void drawGuiContainerBackgroundLayer(float f)
-    {
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/crafting.png").bind();
-        int j = (width - xSize) / 2;
-        int k = (height - ySize) / 2;
-        drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
+    protected void drawGuiContainerBackgroundLayer(float f) {
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/crafting.png").bind();
+        int left = (this.width - this.xSize) / 2;
+        int top = (this.height - this.ySize) / 2;
+        drawTexturedModalRect(left, top, 0, 0, this.xSize, this.ySize);
     }
+
     @Override
-    public void guiSpecificControllerInput(@NotNull ControllerInput controller){
+    public void guiSpecificControllerInput(@NotNull ControllerInput controller) {
         super.guiSpecificControllerInput(controller);
         controller.inventoryHandler.handleCrafting(this);
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java
index 1e4b74938..32d814db7 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/container/ScreenDispenser.java
@@ -1,33 +1,29 @@
 package net.minecraft.client.gui.container;
 
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.block.entity.TileEntityDispenser;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.player.inventory.menu.MenuTrap;
 import net.minecraft.core.player.inventory.container.ContainerInventory;
-import org.lwjgl.opengl.GL11;
 
-public class ScreenDispenser extends ScreenContainerAbstract
-{
+public class ScreenDispenser extends ScreenContainerAbstract {
 
-    public ScreenDispenser(ContainerInventory inventoryplayer, TileEntityDispenser tileentitydispenser)
-    {
+    public ScreenDispenser(ContainerInventory inventoryplayer, TileEntityDispenser tileentitydispenser) {
         super(new MenuTrap(inventoryplayer, tileentitydispenser));
     }
 
     @Override
-	protected void drawGuiContainerForegroundLayer()
-    {
+    protected void drawGuiContainerForegroundLayer() {
         drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.dispenser.label.dispenser"), 60, 6, 0x404040);
-        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.dispenser.label.inventory"), 8, (ySize - 96) + 2, 0x404040);
+        drawStringNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.dispenser.label.inventory"), 8, (this.ySize - 96) + 2, 0x404040);
     }
 
     @Override
-	protected void drawGuiContainerBackgroundLayer(float f)
-    {
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/dispenser.png").bind();
-        int j = (width - xSize) / 2;
-        int k = (height - ySize) / 2;
-        drawTexturedModalRect(j, k, 0, 0, xSize, ySize);
+    protected void drawGuiContainerBackgroundLayer(float f) {
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/container/dispenser.png").bind();
+        int left = (this.width - this.xSize) / 2;
+        int top = (this.height - this.ySize) / 2;
+        drawTexturedModalRect(left, top, 0, 0, this.xSize, this.ySize);
     }
 }
